cURL
curl "https://api.phrase.com/v2/accounts/:account_id/spaces/:id" \
-u USERNAME_OR_ACCESS_TOKENphrase spaces show \
--account_id <account_id> \
--id <id> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/spaces/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/accounts/{account_id}/spaces/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "2e7574e8f2372906a03110c2a7cfe671",
"name": "My first space",
"created_at": "2020-02-25T12:17:25Z",
"updated_at": "2020-03-13T14:46:57Z",
"projects_count": 2,
"projects": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My Android Project",
"main_format": "xml",
"project_image_url": "http://assets.example.com/project.png",
"account": "account",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
},
{
"id": "abcd11231fadef1234adacd1234cdef1234",
"name": "My IOS Project",
"main_format": "yml",
"project_image_url": "http://assets.example.com/project2.png",
"account": "account",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
]
}Spaces
Get Space
Show the specified Space.
GET
/
accounts
/
{account_id}
/
spaces
/
{id}
cURL
curl "https://api.phrase.com/v2/accounts/:account_id/spaces/:id" \
-u USERNAME_OR_ACCESS_TOKENphrase spaces show \
--account_id <account_id> \
--id <id> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/spaces/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/accounts/{account_id}/spaces/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "2e7574e8f2372906a03110c2a7cfe671",
"name": "My first space",
"created_at": "2020-02-25T12:17:25Z",
"updated_at": "2020-03-13T14:46:57Z",
"projects_count": 2,
"projects": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My Android Project",
"main_format": "xml",
"project_image_url": "http://assets.example.com/project.png",
"account": "account",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
},
{
"id": "abcd11231fadef1234adacd1234cdef1234",
"name": "My IOS Project",
"main_format": "yml",
"project_image_url": "http://assets.example.com/project2.png",
"account": "account",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
]
}Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Was this page helpful?
⌘I